// Last edited on 2013-01-22 01:36:48 by stolfilocal
// General parameters for all subfigs and flows.

// ----------------------------------------------------------------------
// GRID OF PARTICLES
#declare rgb_grid = < 0.200, 0.700, 1.000 >;

// Grid particles:
#declare rgb_grid_particle = 0.800 * rgb_grid;
#declare tx_grid_particle = 
  texture{
    pigment{ color rgb rgb_grid_particle }
    finish{ diffuse 1.0 ambient 0.0 specular 0 }
  }

// Arrows on sample grid particles:
#declare rgb_grid_arrow = 0.900 * rgb_grid;
#declare tx_grid_arrow = 
  texture{
    pigment{ color rgb rgb_grid_arrow }
    finish{ diffuse 0.3 ambient 0.7 specular 0 }
  }

// ----------------------------------------------------------------------
// ORIGIN/REFERENCE PARTICLE

#declare rgb_origin = < 1.000, 0.000, 0.200 >;

// Reference particle:
#declare rgb_origin_particle = 0.600 * rgb_origin;
#declare tx_origin_particle = 
  texture{
    pigment{ color rgb rgb_origin_particle }
    finish{ diffuse 1.0 ambient 0.0 specular 0 }
  }

// Arrow on reference particle:
#declare rgb_origin_arrow = 0.700 * rgb_origin;
#declare tx_origin_arrow = 
  texture{
    pigment{ color rgb rgb_origin_arrow }
    finish{ diffuse 0.3 ambient 0.7 specular 0 }
  }

// ----------------------------------------------------------------------
// RING OF PARTICLES

// Flow sampling ring:
#declare rgb_ring_circle = < 0.300, 0.400, 0.500 >;
#declare tx_ring_circle = 
  texture{
    pigment{ color rgb rgb_ring_circle }
    finish{ diffuse 0.3 ambient 0.7 specular 0 }
  }

// Particles on ring:
#declare rgb_ring_particle = < 1.000, 0.200, 0.300 >;
#declare tx_ring_particle = 
  texture{
    pigment{ color rgb rgb_ring_particle }
    finish{ diffuse 1.0 ambient 0.0 specular 0 }
  }

// Arrows on ring particles:
#declare rgb_ring_arrow = 0.750*rgb_ring_particle;
#declare tx_ring_arrow = 
  texture{
    pigment{ color rgb rgb_ring_arrow }
    finish{ diffuse 0.3 ambient 0.7 specular 0 }
  }

// ----------------------------------------------------------------------
// PATHLINES

// Pathlines:
#declare rgb_pathline = < 0.200, 0.450, 0.600 >;
#declare tx_pathline = 
  texture{
    pigment{ color rgb rgb_pathline }
    finish{ diffuse 0.3 ambient 0.7 specular 0 }
  }
